<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */

use Rc\Domain\Repository\Research\ApplicationRepository;
use Rc\Domain\Repository\Research\ExpositionRepository;

class ReviewController extends BasicControllerAction
{

    public function init()
    {
        $this->initPortal();
    }

    public function indexAction()
    {
        $this->forward('list');
    }

    public function listAction()
    {
        $this->view->researches = ExpositionRepository::findByUserForReviewing(Identity::getUser());
        $this->view->applications = ApplicationRepository::findByUserForReviewing(Identity::getUser());
    }

}

?>
