<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */

class My_Zend_Form_Element_Range extends Zend_Form_Element_Xhtml
{

    /**
     * Default form view helper to use for rendering
     * @var string
     */
    public $helper = 'formRange';

    public function init()
    {
        $attribs = $this->getAttribs();
        if (!isset($attribs['defaultValidators']) || $attribs['defaultValidators']) {
            if (ctype_digit((string) $attribs['step'])) {
                $this->addValidator('int');
            } else {
                $this->addValidator('float');
            }
            $this->addValidator('between', false, array('min' => $attribs['min'], 'max' => $attribs['max']));
        }
    }

}

?>