<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */

class ProfileGroup extends MySqlEntity
{

    protected $id;

    protected $userId;

    protected $name;

    protected $position;

    protected $removable = 1;

    protected $collapsed = 0;

    protected $hide = 0;

    public function getId()
    {
        return $this->id;
    }

    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    public function getUserId()
    {
        return $this->userId;
    }

    public function setUserId($id)
    {
        $this->userId = $id;
        return $this;
    }

    public function getName()
    {
        return $this->name;
    }

    public function setName($name)
    {
        $this->name = $name;
        return $this;
    }

    public function getPosition()
    {
        return $this->position;
    }

    public function setPosition($position)
    {
        $this->position = $position;
        return $this;
    }

    public function isRemovable()
    {
        return (bool)$this->removable;
    }

    public function setRemovable($removable)
    {
        $this->removable = (int)$removable;
    }

    public function isCollapsed()
    {
        return (bool)$this->collapsed;
    }

    public function setCollapsed($collapsed)
    {
        $this->collapsed = (int)$collapsed;
    }

    public function setHide($hide)
    {
        $this->hide = (int)$hide;
    }

    public function isHidden()
    {
        return (bool)$this->hide;
    }
}