<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */

class ProfileGroupElement extends MySqlEntity
{

    /** w x h */
    const LAYOUT_2x2 = 0;
    const LAYOUT_1x2 = 1;
    const LAYOUT_1x1 = 2;
    const LAYOUT_2x1 = 3;
    const LAYOUT_2x2_FIT = 4;

    protected $id;

    protected $userId;

    protected $groupId;

    protected $entityId;

    protected $position;

    protected $layout;

    public function getId()
    {
        return $this->id;
    }

    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    public function getUserId()
    {
        return $this->userId;
    }

    public function setUserId($id)
    {
        $this->userId = $id;
        return $this;
    }

    public function getGroupId()
    {
        return $this->groupId;
    }

    public function setGroupId($id)
    {
        $this->groupId = $id;
    }

    public function getEntityId()
    {
        return $this->entityId;
    }

    public function setEntityId($id)
    {
        $this->entityId = $id;
    }

    public function getPosition()
    {
        return $this->position;
    }

    public function setPosition($position)
    {
        $this->position = $position;
    }

    public function getLayout()
    {
        return $this->layout;
    }

    public function setLayout($layout)
    {
        $this->layout = $layout;
    }
}

?>