<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */

class Report extends Comment
{

    protected $portalid;

    private $portal;

    public function getPortal($reload = false)
    {
        if (is_null($this->portal) || $reload) {
            $this->portal = \Rc\Domain\Repository\PortalRepository::findById($this->getPortalId());
        }
        return $this->portal;
    }

    public function getPortalId()
    {
        return $this->portalid;
    }

    public function setPortalId($portalid)
    {
        $this->portalid = $portalid;
        return $this;
    }

}

?>