<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */

class UpdateRepository extends MySqlRepository
{

    protected static $orderBy = [
        'field' => 'date',
        'order' => 'DESC',
    ];

    static public function findAllTerminated($page, $limit = null, $orderBy = null)
    {
        return self::_findBy('terminated', true, $page, $limit, $orderBy);
    }

    static public function findAllInProgress($page, $limit = null, $orderBy = null)
    {
        return self::_findBy('terminated', false, $page, $limit, $orderBy);
    }
}

?>