<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */

use Rc\Domain\Model\Research\Exposition;
use Rc\Domain\Model\Research\Exposition\Weave;
use Rc\Domain\Repository\Research\Exposition\WeaveRepository;

class My_View_Helper_CommentsByResearch extends Zend_View_Helper_Abstract
{

    public function CommentsByResearch(Exposition $research, Weave $currentWeave)
    {
        $weaveIds = [];

        foreach (WeaveRepository::findByExpositionAndTool($research, \ToolFactory::TOOL_COMMENT) as $weave) {
            $weaveIds[] = $weave->getId();
        }

        return $weaveIds;
    }
}

?>