<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */

return [

    'id' => env('APP_ID'),

    'name' => env('APP_NAME'),

    'url' => env('APP_URL'),

    'env' => env('APP_ENV'),

    'email' => env('MAIL_FROM_ADDRESS'),

    'lang' => 'en',

    'date' => [
        'format' => 'dd/mm/yyyy',
    ],

    'datetime' => [
        'format' => 'dd/mm/yyyy \a\t H:i',
    ],

    'allow' => [
        'publishing'  => env('FEATURE_PUBLISHING', false),
        'messaging'   => env('FEATURE_MAILING', false),
        'transcoding' => env('FEATURE_TRANSCODING', false),
    ],

    'maintenance' => 0, // e.g. 'until 9.00 CET on 17/04/2017 due to a major update of the system'

    'supported_envs' => ['production', 'development', 'testing', 'local'],

    'salt' => env('APP_SALT'),

    'salt_token' => env('APP_SALT_TOKEN'),

];