<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */

return array_replace_recursive(require 'zend.php', [

    'phpsettings' => [
        'display_errors'         => 'on',
        'display_startup_errors' => 'on',
    ],

    'bootstrap' => [
        'path'  => app_path('cli/Bootstrap.php'),
        'class' => Bootstrap_Cli::class,
    ],

    'resources' => [
        'frontController' => [
            'controllerDirectory' => app_path('cli/controllers'),
        ],
    ],

]);