<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */
namespace Rc\Domain\Model\Research\Exposition\SimpleMedia;

use Doctrine\ODM\MongoDB\Mapping\Annotations as ODM;
use Rc\Domain\Model\Media\MediaType;
use Rc\Domain\Model\Research\Exposition\SimpleMedia;

/**
 * @ODM\Document
 */
class PdfSimpleMedia extends SimpleMedia
{

    /**
     * @return string
     */
    public function getMediaType()
    {
        return MediaType::PDF;
    }
}