<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */
namespace Rc\Domain\Model\Research\Exposition\Weave\Generic;

use Doctrine\ODM\MongoDB\Mapping\Annotations as ODM;

interface PaddingAwareInterface
{
    /**
     * @return int
     */
    public function getPaddingTop();

    /**
     * @param int $paddingTop
     */
    public function setPaddingTop($paddingTop);

    /**
     * @return int
     */
    public function getPaddingRight();

    /**
     * @param int $paddingRight
     */
    public function setPaddingRight($paddingRight);

    /**
     * @return int
     */
    public function getPaddingBottom();

    /**
     * @param int $paddingBottom
     */
    public function setPaddingBottom($paddingBottom);

    /**
     * @return int
     */
    public function getPaddingLeft();

    /**
     * @param int $paddingLeft
     */
    public function setPaddingLeft($paddingLeft);

    /**
     * @return array
     */
    public function getPadding();
}