<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */
namespace Rc\Domain\Model\Research\Exposition\Weave\Tool\Generic;

use Doctrine\ODM\MongoDB\Mapping\Annotations as ODM;

interface PlayerAwareInterface
{

    /**
     * @return boolean
     */
    public function isLoop();

    /**
     * @param boolean $loop
     */
    public function setLoop($loop);

    /**
     * @return boolean
     */
    public function isAutoPlay();

    /**
     * @param boolean $autoPlay
     */
    public function setAutoPlay($autoPlay);

    /**
     * @return boolean
     */
    public function isDisplayVolume();

    /**
     * @param boolean $displayVolume
     */
    public function setDisplayVolume($displayVolume);

    /**
     * @return boolean
     */
    public function isDisplayMinimal();

    /**
     * @param boolean $displayMinimal
     */
    public function setDisplayMinimal($displayMinimal);

    /**
     * @return boolean
     */
    public function isHidePlayer();

    /**
     * @param boolean $hidePlayer
     */
    public function setHidePlayer($hidePlayer);

    /**
     * @return boolean
     */
    public function isStopOtherPlayers();

    /**
     * @param boolean $stopOtherPlayers
     */
    public function setStopOtherPlayers($stopOtherPlayers);
}