<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */

use Rc\Domain\Repository\Research\Exposition\Weave\ToolRepository;
use Rc\Domain\Repository\Research\ExpositionRepository;

class ToolController_Cli extends AbstractController_Cli
{

    /**
     * @throws Exception
     */
    public function fixMissingSimpleMediaAction()
    {
        Zend_Registry::get('RC_DILPS_AUTH')->login('admin');

        $expositionId = $this->getParam('exposition_id');

        foreach (ExpositionRepository::findById($expositionId)->getWeaves() as $weave) {
            foreach ($weave->getItems() as $item) {
                $item->removeMissingResources();
                ToolRepository::persist($item);
            }
        }

        ToolRepository::flush();
    }
}
