<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */

class FileUploadLayoutPlugin extends Zend_Controller_Plugin_Abstract
{

    public function preDispatch(Zend_Controller_Request_Abstract $request)
    {
        // parameter iframe-submit only makes sense when its a non xmlHttpRequest
        if ($request->getParam('iframe-submit') && !$request->isXmlHttpRequest()) {
            Zend_Layout::startMvc(array(
                'layout' => 'file-upload',
                'layoutPath' => APPLICATION_PATH . '/views/layouts',
            ));
        }
    }

}

?>