<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */

abstract class AbstractRepository
{

    public static function __callStatic($method, $args)
    {
        if (method_exists(get_called_class(), 'find' . substr($method, 3))) { // getXX();
            $retVal = call_user_func_array([get_called_class(), 'find' . substr($method, 3)], $args);
            if (!isset($retVal) || empty($retVal)) {
                throw new Exception('DB_ENTITY_NOT_FOUND');
            }
            return $retVal;
        } else if (method_exists(get_called_class(), 'find' . substr($method, 8))) { // getFirstXX()
            $retVal = call_user_func_array([get_called_class(), 'find' . substr($method, 8)], $args);
            if (!isset($retVal) || empty($retVal)) {
                throw new Exception('DB_ENTITY_NOT_FOUND');
            }
            return $retVal[0];
        } else {
            throw new Exception('UNKNOWN METHOD [' . $method . ']');
        }
    }

}

?>