<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */

use Rc\Domain\Model\Research\Exposition;
use Rc\Domain\Model\User;

class My_View_Helper_AuthorName extends Zend_View_Helper_Abstract
{

    public function authorName(Exposition $research, User $author)
    {
        if ($research->isDoubleBlindReviewer()) {
            return '<i>author name hidden</i>';
        } else {
            return $author->getName();
        }
    }

}

?>