<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */

use Rc\Domain\Model\Research\Exposition;
use Rc\Domain\Model\Research\Exposition\Weave;

class My_View_Helper_EditorUrl extends Zend_View_Helper_Abstract
{

    public function editorUrl(Exposition $research, Weave $weave = null)
    {
        if (isset($weave)) {
            $weaveId = $weave->getId();
        } else {
            $weaveId = $research->getDefaultWeaveId();
        }

        return '/editor?research=' . $research->getId() . '&weave=' . $weaveId;
    }

}

?>