<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */

return [

    'ssh_tunnel_format' => 'ssh -C -L %u:127.0.0.1:%u ' . env('SYNC_USER') . '@' . env('SYNC_HOST') . ' -p' . env('SYNC_PORT') . ' sleep 3600',

    'mysql' => [
        'host'     => env('SYNC_MYSQL_HOST'),
        'username' => env('SYNC_MYSQL_USERNAME'),
        'password' => env('SYNC_MYSQL_PASSWORD'),
        'database' => env('SYNC_MYSQL_DATABASE'),
        'tables'   => [
            'rc_announcement',
            'rc_comment',
            'rc_entitychange',
            'rc_entityfeed',
            'rc_keyword',
            'rc_newsletter',
            'rc_newslettertemplate',
            'rc_portalfeed',
            'rc_profilegroup',
            'rc_profilegroupelement',
            'rc_profileshortcut',
            'rc_report',
            'rc_update',
            'rc_userfeed',
            'zencoder_jobs',
        ],
    ],

    'mongodb' => [
        'database' => env('SYNC_MONGODB_DATABASE'),
    ],

];