<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */
namespace Rc\Domain\Model\Research\Exposition\Generic;


interface ThreeDimensionalAwareInterface
{

    /**
     * @return int
     */
    public function getLevels();

    /**
     * @param int $levels
     */
    public function setLevels($levels);

    /**
     * @return int
     */
    public function getStartLevel();

    /**
     * @param int $startLevel
     */
    public function setStartLevel($startLevel);

    /**
     * @return boolean
     */
    public function isAutoRotate();

    /**
     * @return boolean
     */
    public function getAutoRotate();

    /**
     * @param boolean $autoRotate
     */
    public function setAutoRotate($autoRotate);
}