<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */
namespace Rc\Domain\Model\Research\Exposition\Weave\Generic;

interface BorderAwareInterface
{

    const CSS_BORDER_NONE = 'none';

    /**
     * @return array
     */
    public static function getBorderStyles();

    /**
     * @return string
     */
    public function getBorderStyle();

    /**
     * @param string $style
     */
    public function setBorderStyle($style);

    /**
     * @return string
     */
    public function getBorderColor();

    /**
     * @param string $color
     */
    public function setBorderColor($color);

    /**
     * @return string
     */
    public function getBorderWidth();

    /**
     * @param string $width
     */
    public function setBorderWidth($width);

    /**
     * @return string
     */
    public function getBorderRadius();

    /**
     * @param string $radius
     */
    public function setBorderRadius($radius);
}