<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */
namespace Rc\Domain\Model\Research\Exposition\Weave\Generic;

use Doctrine\ODM\MongoDB\Mapping\Annotations as ODM;

interface MarginAwareInterface
{
    /**
     * @return int
     */
    public function getMarginTop();

    /**
     * @param int $marginTop
     */
    public function setMarginTop($marginTop);

    /**
     * @return int
     */
    public function getMarginRight();

    /**
     * @param int $marginRight
     */
    public function setMarginRight($marginRight);

    /**
     * @return int
     */
    public function getMarginBottom();

    /**
     * @param int $marginBottom
     */
    public function setMarginBottom($marginBottom);

    /**
     * @return int
     */
    public function getMarginLeft();

    /**
     * @param int $marginLeft
     */
    public function setMarginLeft($marginLeft);

    /**
     * @return array
     */
    public function getMargin();
}