<?php
/**
 * Copyright (c) 2018 by Society for Artistic Research
 *
 * All rights reserved.
 *
 * Modification, distribution, commercial or non-commercial reuse is prohibited without explicit written permission by the copyright holder.
 */

namespace Rc\Domain\Security;

class Text
{

    /**
     * @param string|array $input
     * @return mixed
     */
    public static function removeJavascriptTags($input)
    {
        if (!isset($input)) {
            return null;
        }

        if (is_array($input)) {
            foreach ($input as $key => $value) {
                $input[$key] = self::removeJavascriptTags($value);
            }
            return $input;
        }

        return preg_replace('~<script.*>.*</script>~isU', '', $input);
    }
}